classification
Title: Data Structures documentation out of sync with new Walrus operator
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Matt Ward, ammar2, docs@python, emilyemorehouse, mdk, miss-islington, zach.ware
Priority: normal Keywords: patch

Created on 2019-10-22 20:27 by Matt Ward, last changed 2020-02-03 17:17 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16919 merged ammar2, 2019-10-24 18:21
PR 16926 merged miss-islington, 2019-10-25 22:20
PR 16973 merged adorilson, 2020-01-19 17:20
PR 18335 merged miss-islington, 2020-02-03 17:11
Messages (7)
msg355151 - (view) Author: Matt Ward (Matt Ward) Date: 2019-10-22 20:27
The 3.8 documentation still includes the text.

```Note that in Python, unlike C, assignment cannot occur inside expressions. C programmers may grumble about this, but it avoids a common class of problems encountered in C programs: typing = in an expression when == was intended.```

https://docs.python.org/3.8/tutorial/datastructures.html#more-on-conditions

This would seem to no longer be the case with with the inclusion of https://www.python.org/dev/peps/pep-0572/ in 3.8 unless I am misunderstanding the above statement.
msg355391 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2019-10-25 22:20
New changeset cb2cf06b0aad1851f54999497c1b50c381d1fdd8 by Zachary Ware (Ammar Askar) in branch 'master':
bpo-38558: Mention `:=` in conditions tutorial (GH-16919)
https://github.com/python/cpython/commit/cb2cf06b0aad1851f54999497c1b50c381d1fdd8
msg355392 - (view) Author: miss-islington (miss-islington) Date: 2019-10-25 22:27
New changeset cf028b57169499f82b73dd0977fe0bab40778a60 by Miss Skeleton (bot) in branch '3.8':
bpo-38558: Mention `:=` in conditions tutorial (GH-16919)
https://github.com/python/cpython/commit/cf028b57169499f82b73dd0977fe0bab40778a60
msg355406 - (view) Author: Ammar Askar (ammar2) * (Python triager) Date: 2019-10-26 05:53
Thank you for the report Matt!
msg355418 - (view) Author: Matt Ward (Matt Ward) Date: 2019-10-26 15:02
You're welcome!

On Fri, Oct 25, 2019 at 10:53 PM Ammar Askar <report@bugs.python.org> wrote:

>
> Ammar Askar <ammar@ammaraskar.com> added the comment:
>
> Thank you for the report Matt!
>
> ----------
> nosy: +ammar2
> resolution:  -> fixed
> stage: patch review -> resolved
> status: open -> closed
> versions: +Python 3.9
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue38558>
> _______________________________________
>
msg361312 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2020-02-03 17:11
New changeset 5807efd4c396d5718325e21f5a14e324a77ff77c by Adorilson Bezerra in branch 'master':
bpo-38558: Link to further docs from walrus operator mention in tutorial (GH-16973)
https://github.com/python/cpython/commit/5807efd4c396d5718325e21f5a14e324a77ff77c
msg361313 - (view) Author: miss-islington (miss-islington) Date: 2020-02-03 17:17
New changeset d01ae1b22330992eadc7b2a0842ead544f7e507d by Miss Islington (bot) in branch '3.8':
bpo-38558: Link to further docs from walrus operator mention in tutorial (GH-16973)
https://github.com/python/cpython/commit/d01ae1b22330992eadc7b2a0842ead544f7e507d
History
Date User Action Args
2020-02-03 17:17:24miss-islingtonsetmessages: + msg361313
2020-02-03 17:11:34miss-islingtonsetpull_requests: + pull_request17707
2020-02-03 17:11:23mdksetnosy: + mdk
messages: + msg361312
2020-01-19 17:20:13adorilsonsetpull_requests: + pull_request17458
2019-10-26 15:02:39Matt Wardsetmessages: + msg355418
2019-10-26 05:53:07ammar2setstatus: open -> closed

versions: + Python 3.9
nosy: + ammar2

messages: + msg355406
resolution: fixed
stage: patch review -> resolved
2019-10-25 22:27:10miss-islingtonsetnosy: + miss-islington
messages: + msg355392
2019-10-25 22:20:19miss-islingtonsetpull_requests: + pull_request16456
2019-10-25 22:20:10zach.waresetnosy: + zach.ware
messages: + msg355391
2019-10-24 18:21:36ammar2setkeywords: + patch
stage: patch review
pull_requests: + pull_request16451
2019-10-23 06:24:49xtreaksetnosy: + emilyemorehouse
2019-10-22 20:27:12Matt Wardcreate